# enable_gtkdoc: toggle if gtkdoc stuff should be rebuilt
#	0 = no
#	1 = yes
%define enable_gtkdoc	1

# End of user configurable section

%{?_without_gtkdoc: %{expand: %%define enable_gtkdoc 0}}
%{?_with_gtkdoc: %{expand: %%define enable_gtkdoc 1}}


%define lib_major       1

# Versions of various dependent libraries
%define req_glib_version	2.0.0

Name:		linc
Version:	1.0.1
Release:	1mdk
Summary:	Network client/server library
License:	LGPL
URL:		http://orbit-resource.sf.net/
Group:		System/Libraries
Source:		ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/0.7/%{name}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	pkgconfig
BuildRequires:	libglib2.0-devel >= %{req_glib_version}
%if %enable_gtkdoc
BuildRequires:	gtk-doc >= 0.9
%endif
Requires:	libglib2.0 >= %{req_glib_version}

%description
linc is a library that eases the task of writing networked servers &
clients. It takes care of connection initiation and maintenance, and the
details of various transports. It is used by ORBit2 to handle message
transmission/receipt.

Currently supported transports:
	IPv4 (tested)
	UNIX domain sockets (tested)
	IPv6
	IrDA

%package -n lib%{name}%{lib_major}
Summary:	%{summary}
Group:		%{group}
Provides:	lib%{name} = %{version}-%{release}

%description -n lib%{name}%{lib_major}
linc is a library that eases the task of writing networked servers &
clients. It takes care of connection initiation and maintenance, and the
details of various transports. It is used by ORBit2 to handle message
transmission/receipt.

Currently supported transports:
	IPv4 (tested)
	UNIX domain sockets (tested)
	IPv6
	IrDA


%package -n lib%{name}%{lib_major}-devel
Summary:	Static libraries and header files for linc
Group:		Development/GNOME and GTK+
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	lib%{name}%{lib_major} = %{version}
Requires:	libglib2.0-devel >= %{req_glib_version}

%description -n lib%{name}%{lib_major}-devel
This package contains static libraries and header files for linc
library.


%prep
%setup -q

%build
%configure2_5x \
%if !%enable_gtkdoc
	--enable-gtk-doc=no
%endif

%make

make check

%install
rm -rf %{buildroot}
%makeinstall_std


%clean
rm -rf %{buildroot}

%post -n lib%{name}%{lib_major} -p /sbin/ldconfig
%postun -n lib%{name}%{lib_major} -p /sbin/ldconfig

%files 
%defattr(-,root,root,0755)
%doc AUTHORS MAINTAINERS NEWS README
%{_bindir}/linc-cleanup-sockets


%files -n lib%{name}%{lib_major}
%defattr(-,root,root,0755)
%{_libdir}/lib*.so.*

%files -n lib%{name}%{lib_major}-devel
%defattr(-,root,root,0755)
%doc ChangeLog
%doc %{_datadir}/gtk-doc/html/*
%{_bindir}/linc-config
%{_datadir}/aclocal/*.m4
%{_includedir}/*
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*

%changelog
* Tue Jan 21 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-1mdk
- Release 1.0.1

* Tue Jan 14 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.0-1mdk
- Release 1.0.0

* Thu Jan  2 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.1-1mdk
- Release 0.7.1

* Thu Nov 14 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.0-1mdk
- Release 0.7.0

* Tue Oct  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.3-1mdk
- Release 0.5.3

* Mon Aug  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.2-1mdk
- Release 0.5.2

* Wed Jul 24 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.1-1mdk
- Release 0.5.1

* Tue Jun  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.0-2mdk
- Fix library package to no longer provide main package

* Mon Jun  3 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.0-1mdk
- Release 0.5.0

* Mon Apr 15 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.21-1mdk
- Release 0.1.21

* Tue Mar 26 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.20-1mdk
- Release 0.1.20
- Enable gtkdoc

* Thu Mar 21 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.19-1mdk
- Initial Mdk package
- Release 0.1.19
- Package based on Abel Cheung <maddog@linux.org.hk> work
